#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Class
%define		pnam	Inspector
Summary:	Class::Inspector - provides information about classes
Summary(pl.UTF-8):	Class::Inspector - dostarczenie informacji o klasach
Name:		perl-Class-Inspector
Version:	1.36
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	084c3aeec023639d21ecbaf7d4460b21
URL:		http://metacpan.org/release/Class-Inspector
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.82
BuildRequires:	perl-Test-Simple >= 0.94
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::Inspector allows you to get information about a loaded class.
Most or all of this information can be found in other ways, but they
aren't always very friendly, and usually involve a relatively high
level of Perl wizardry, or strange and unusual looking code.
Class::Inspector attempts to provide an easier, more friendly
interface to this information.

%description -l pl.UTF-8
Class::Inspector umożliwia pobieranie informacji o załadowanych
klasach. Większość z tych informacji można znaleźć na inne sposoby,
ale nie zawsze są one przyjazne i zwykle wymagają dosyć dużej
znajomości perlowej magii lub dziwnego i niezwykle wyglądającego kodu.
Class::Inspector próbuje dostarczyć łatwiejszy, bardziej przyjazny
interfejs do tych informacji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Class/Inspector.pm
%{perl_vendorlib}/Class/Inspector/Functions.pm
%{_mandir}/man3/Class::Inspector*.3pm*
%changelog
* Wed Apr 29 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Class-Inspector.git;a=log;h=38cba63bc4582ad357959200d78410251ee33264

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 38cba63
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> b1d525a
- up to 1.36

* Wed Oct 03 2018 Jakub Bogusz <qboosh@pld-linux.org> 4beea32
- updated to 1.32

* Sat Jan 09 2016 Jakub Bogusz <qboosh@pld-linux.org> 4a7e763
- up to 1.28

* Fri Jan 27 2012 zbyniu <zbyniu@pld-linux.org> 78e4771
- up to 1.27

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 30dd041
- updated to 1.25

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> 89fec16
- updated to 1.24

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> 2573e31
- up to 1.18

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4637330
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7d46324
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> cc09de3
- unified

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 95ba7ea
- corrected URL, rel 1

* Tue Jul 11 2006 Jakub Bogusz <qboosh@pld-linux.org> 70e9907
- updated md5

* Mon Jul 10 2006 Maciej Pijanka <agaran@pld-linux.org> 01c0207
- rel 1.16, my fault, rel 0.2, anyway seems to be working, tests passed

* Mon Jul 10 2006 Maciej Pijanka <agaran@pld-linux.org> 803fdd4
- up to 0.16 rel 0.1 builds here

* Wed Jun 22 2005 Paweł Cyranek <pawel.cyranek@gmail.com> a57a5cc
- updated to 1.08

* Wed Dec 01 2004 radek <radek@pld-linux.org> 034d8a3
- autoupdated to 1.07

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> a05c850
- spaces->tabs
- formatting

* Wed Aug 11 2004 Jakub Bogusz <qboosh@pld-linux.org> abf0b9b
- pl desc

* Sun Aug 08 2004 ankry <ankry@pld-linux.org> 7e7fbcd
- cosmetics

